Higher PHP version installation led to website loss

Keywords: WordPress Multisite - Google Cloud Platform - Technical issue - Other
Description:
Hello,
we’ve tried to install PHP v. 7.4 on our server.
After this installation no changes were manifested. We’ve restarted the apache service with the same result.
After restarting the virtual machine we cannoct connect to our multisite at all and we see the apache welcome page only.
Could you mind helping us tu solve this?
Thank you very much
Petr

The Bitnami support tool code is 735befea-d233-6937-ffa1-fcb4c7392655

Hi @cafourek,

Thanks for using Bitnami. According to the bnsupport bundle you shared, the initial WordPress version installed on your machine when you launched it, it was 4.9.8-2, which included PHP 7.1.23. It is not possible to update the PHP version of your Bitnami installation because the components are built all together to ensure they work fine. You will need to launch another machine using a newer PHP version (the most recent one includes 7.4.16 ) and migrate your application data.

We have a guide to migrate WordPress data from one instance to another that you can find in the link below

https://docs.bitnami.com/google/how-to/migrate-wordpress/

Hi @gongomgra,

thank you for the information. But problem also is that I cannot get to WP at all. It looks like there’s none right now.

Is there some chance to get the data somehow?

Hi @cafourek,

According to your bnsupport bundle, there is an issue with one of the plugins that is preventing your website to work

[Thu Apr 15 12:04:36.159882 2021] [proxy_fcgi:error] [pid 24134:tid 140439331931904] [client CLIENT_IP_ADDRESS:53660] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: Call to undefined method PremiumAddonsPro\\Includes\\White_Label\\Helper::get_white_labeling_settings() in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/premium-addons-for-elementor/includes/helper-functions.php:205\nStack trace:\n#0 /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/premium-addons-for-elementor/admin/includes/elements.php(8): PremiumAddons\\Includes\\Helper_Functions::get_prefix()\n#1 /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/premium-addons-for-elementor/admin/includes/admin-helper.php(120): require_once('/opt/bitnami/ap...')\n#2 /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/premium-addons-for-elementor/admin/includes/admin-helper.php(647): PremiumAddons\\Admin\\Includes\\Admin_Helper::get_elements_list()\n#3 /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/premium-addons-for-elementor/admin/includes/admin-helper.php(700): PremiumAddons\\Admin\\Includes\\Admin_Helper::get_default_elements()\n#4 /opt/bitnami/apps/wordpress/...\n'

Can you try to disable all plugins?

wp plugin deactivate --all

Also, your server is running another Apache service (from system packages) different than the Bitnami one. Can you run the next commands to stop it and start the Bitnami one?

sudo systemctl disable apache2 && sudo systemctl stop apache2
sudo /opt/bitnami/ctlscript.sh start apache

Hi @gongomgra,

thank you so much for your help. It works and the site is up and running again.

Have a nice day.
Petr

Hi @cafourek,

Thanks for the info. I’m glad you fixed your issue! Let us know if we can close this thread as solved or if you have any other questions related to this.

Hi @gongomgra,

Yes, you can close this thread. Thank you very much